<?php
/*
Plugin Name: Agent Pipeline Medicare Open Enrollment Countdown
Text Domain: apcountdown
Domain Path: /languages
Plugin URI: http://www.323works.net/wordpress-plugins/medicare-annual-enrollment-period-countdown-shortcode-plugin/
Description: Display Medicare Open Enrollment countdown timers using a shortcode in any text widget, page, or post. The Countdown disappears after the countdown is over, until the next start date. We created it for our clients mainly, but thought we'd share the love.
Version: 1.0.0
Author: n8xja, helmick
Author URI:  http://www.323works.net/
License: GPL2
*/
//widget scripts
function APcountdown_scripts(){

	$plugin_url = plugins_url() .'/'. dirname( plugin_basename(__FILE__) );
	wp_enqueue_script('jquery','http://code.jquery.com/jquery-1.7.1.min.js');
	wp_enqueue_script('ap-custom-jquery-countdown', $plugin_url .  '/assets/countdown/jquery.countdown.js',array('jquery'),'1.1',true);
	wp_enqueue_script('ap-custom-countdown',$plugin_url .  '/assets/countdown/script.js',array('jquery'),'1.1',true);
	wp_enqueue_style('apstyle2',$plugin_url . '/assets/countdown/jquery.countdown.css',false,'1.1.1','all');

	$current_version  = get_option('apcountdown_version');
	if(!$current_version){
		//delete the old style system
		delete_option( 'apcountdown_version' );
		//add version check
		add_option('apcountdown_version', '0.0.1');
	}


	$startdate=get_option('aep_start_date');
	$enddate=get_option('aep_end_date');

	$lastPing=get_option('aplastping');
	if(!$lastPing) {
		delete_option( 'aplastping' );
		add_option('aplastping', date(U));		
	}

	$nextPing=$lastPing+86400;
	if ($lastPing > $nextping) {
		// lets refresh our dates
		$startdate='';
		$enddate='';
		delete_option( 'aplastping' );
		add_option('aplastping', date(U));		
	}
		
	if((!$startdate) or (!$enddate) ) {
		// dates are empty, lets grab the dates and store as plugin options
		$lines = file('http://www.medicarepathways.com/aepstart.cfm');
		delete_option( 'aep_start_date' );
		add_option('aep_start_date', strtotime($lines[0]));

		$lines = file('http://www.medicarepathways.com/aepend.cfm');
		delete_option( 'aep_end_date' );
		add_option('aep_end_date', strtotime($lines[0]));
	}	  

}

function apcountdown_display( $atts ) {
//	extract( shortcode_atts( array(
//		'target' => 'something',
//		'bar' => 'something else',
//	), $atts ) );

	$current_version  = get_option('apcountdown_version');
	$startdate=get_option('aep_start_date');
	$enddate=get_option('aep_end_date');
	
	$plugin_url = plugins_url() .'/'. dirname( plugin_basename(__FILE__) );
	
	$rightnow=date(U);
	
	if (($startdate < $rightnow) and ($rightnow < $enddate)){
		$outcode='';
		$outcode=$outcode . '<script language="javascript">var APcts = new Date("' . date("Y-m-d",$enddate) . '");</script>';
		$outcode=$outcode . '<div class="countdownwrapper">Medicare Open Enrollment Closes In';
		$outcode=$outcode . '<div id="countdown" class="countdownPlaceHolder"></div>';
		$outcode=$outcode . '</div>';

	} else {
		$outcode='';
	}	
	return $outcode;

}

add_action( 'init', 'APcountdown_scripts' );
add_shortcode( 'apcountdown', 'apcountdown_display' );
add_filter('widget_text', 'do_shortcode');
?>
